Skip to content

List servers you can read

GET
/servers
curl --request GET \
--url https://example.com/api/v1/servers \
--cookie __Host-shardkeep_session=<__Host-shardkeep_session>
limit
integer
>= 1 <= 200

At most this many items (default 50).

cursor
string
<= 200 characters

The nextCursor of the previous page.

Servers in creation order.

Media typeapplication/json
object
items
required
Array<object>
object
id
required
string format: uuid
name
required
string
teamId
required
string format: uuid
nodeId
string format: uuid
kind
required
string
Allowed values: MINECRAFT_SERVER VELOCITY_PROXY
inNetwork
required
boolean
desiredState
required
string
Allowed values: RUNNING STOPPED DELETED
generation
required
integer format: int64
phase
required
string
Allowed values: PROVISIONING READY MIGRATING RESTORING UPDATING DELETING FAILED
runtimeState
string
Allowed values: STOPPED STARTING RUNNING STOPPING CRASHED
convergence
required

How observed state relates to desired state. UNKNOWN while the Node is unreachable.

string
Allowed values: CONVERGED IN_PROGRESS DISCREPANCY UNKNOWN
software
required

What the server runs. A Shardkeep template, never a container image.

object
template
required
string
>= 1 characters <= 64 characters /^[a-z0-9][a-z0-9-]*$/
version
required
string
>= 1 characters <= 64 characters
build
string
<= 64 characters
resources
required

A reservation, held even while the server is idle.

object
cpuMillis
required

CPU in thousandths of a core.

integer format: int64
>= 1
memoryBytes
required
integer format: int64
>= 1
gamePort

The host port players join on; absent until one is assigned.

integer
conditionCount
required

How many conditions the server has.

integer
nextCursor
string
Example
{
"items": [
{
"kind": "MINECRAFT_SERVER",
"desiredState": "RUNNING",
"phase": "PROVISIONING",
"runtimeState": "STOPPED",
"convergence": "CONVERGED",
"software": {
"template": "paper",
"version": "1.21.4"
}
}
]
}

The request is invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}

Not signed in, or the credentials are invalid.

Media typeapplication/problem+json

An RFC 9457 problem with a machine-readable code.

object
type
required
string
title
required
string
status
required
integer
detail
string
code
required

Stable machine-readable error code.

string
Example
{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"code": "conflict"
}